Skip to main content
GET
/
v1
/
publishing
/
posts
List outgoing posts
curl --request GET \
  --url https://reelmirror.com/api/v1/publishing/posts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "caption": "<string>",
      "status": "draft",
      "scheduled_for": "2023-11-07T05:31:56Z",
      "platform_settings": {},
      "items": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "generated_media_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "position": 123,
          "use_voice_converted": true
        }
      ],
      "deliveries": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "platform": "instagram",
          "username": "<string>",
          "status": "pending",
          "platform_post_id": "<string>",
          "error_message": "<string>",
          "published_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

API key (rm_xxx) or JWT token

Query Parameters

limit
integer
default:20
Required range: x <= 100
offset
integer
default:0

Response

200 - application/json

List of outgoing posts

data
object[]
count
integer

Total number of outgoing posts